> ## Documentation Index
> Fetch the complete documentation index at: https://docs.terminaluse.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Webhook Key By Name

> Delete API key by name.



## OpenAPI

````yaml openapi.json DELETE /agent_api_keys/name/{api_key_name}
openapi: 3.1.0
info:
  title: Sb0 API
  version: 0.1.0
servers: []
security: []
paths:
  /agent_api_keys/name/{api_key_name}:
    delete:
      tags:
        - Agent APIKeys
      summary: Delete API key by name
      description: Delete API key by name.
      operationId: agent_api_keys_name_delete
      parameters:
        - in: path
          name: api_key_name
          required: true
          schema:
            title: Api Key Name
            type: string
        - in: query
          name: agent_id
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Agent Id
        - in: query
          name: agent_name
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Agent Name
        - in: query
          name: api_key_type
          required: false
          schema:
            $ref: '#/components/schemas/AgentAPIKeyType'
            default: external
      responses:
        '200':
          content:
            application/json:
              schema:
                title: Response Agent Api Keys Name Delete
                type: string
          description: Successful Response
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
components:
  schemas:
    AgentAPIKeyType:
      enum:
        - internal
        - external
        - github
        - slack
      title: AgentAPIKeyType
      type: string
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object

````